> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all books



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json get /api/Books
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/Books:
    get:
      tags:
        - Books
      summary: List all books
      operationId: GetBooks
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/BookInfoViewModel'
                type: array
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    BookInfoViewModel:
      example:
        number_of_parent_portfolios: 6
        access_type_id: not_set
        is_disabled: true
        name: name
        description: description
        is_checked: true
        id: 0
        status: not_set
      properties:
        access_type_id:
          enum:
            - not_set
            - view
            - edit
            - owner
          type: string
        description:
          nullable: true
          type: string
        id:
          format: int32
          type: integer
        is_checked:
          type: boolean
        is_disabled:
          type: boolean
        name:
          minLength: 1
          type: string
        number_of_parent_portfolios:
          format: int32
          type: integer
        status:
          enum:
            - not_set
            - active
            - inactive
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Models.Book.BookInfoViewModel, Derivitec.Web.Models
      required:
        - $type
        - id
        - name
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````